<?xml version="1.0" encoding="utf-8"?>
<hibernate-mapping assembly="ORM.NHibernate" namespace="ORM.NHibernate" xmlns="urn:nhibernate-mapping-2.2">
  <class name="Ucitel" table="Ucitel" lazy="true" >
    <id name="Id" column="Id" />
    <many-to-one name="Ustav">
      <column name="UstavId" sql-type="int" not-null="true" />
    </many-to-one>
    <many-to-one name="Nadrizeny">
      <column name="NadrizenyId" sql-type="int" not-null="false" />
    </many-to-one>
    <property name="Krestni">
      <column name="Krestni" sql-type="nvarchar" not-null="true" />
    </property>
    <property name="Prijmeni">
      <column name="Prijmeni" sql-type="nvarchar" not-null="true" />
    </property>
    <property name="Datumnarozeni">
      <column name="DatumNarozeni" sql-type="datetime" not-null="true" />
    </property>
    <property name="Plat">
      <column name="Plat" sql-type="decimal" not-null="true" />
    </property>
    <property name="Prostrednijmeno">
      <column name="ProstredniJmeno" sql-type="nvarchar" not-null="false" />
    </property>
    <bag name="Podrizeni">
      <key column="NadrizenyId" />
      <one-to-many class="Ucitel" />
    </bag>
    <bag name="Uctitelpredmet">
      <key column="UcitelId" />
      <one-to-many class="Uctitelpredmet" />
    </bag>
  </class>
</hibernate-mapping>